import { axios } from '@/utils/request'

//  缺货列表  分页
export const oosList = (params) => {
  const url = `/oos/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  采购缺货列表  有分页
export const outOfStockList = (params) => {
  const url = `/oos/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 采购缺货统计
export const outOfStockQueryCount = params => {
  const url = `/oos/queryCount`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  缺货详情导出
export const outOfStockExportDetail = (params) => {
  const url = '/oos/export'
  return axios.request({
    url: url,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  缺货详情列表  有分页
export const outOfStockDetailList = (params) => {
  const url = `/oos/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
